{ config, lib, pkgs, ... }:

{
   fileSystems =
    let
      automount-opts = "x-systemd.automount,noauto,users,x-systemd.idle-timeout=60,x-systemd.device-timeout=5s,x-systemd.mount-timeout=5s,noperm,uid=1000";
      # filez-opts = automount-opts + ",credentials=/etc/nixos/filez-secrets";
      media-server-opts = automount-opts + ",credentials=/etc/nixos/media-server-secrets";
    in {

      "/mnt/import" = {
        device = "//media-server/import";
        fsType = "smb3";
        options = [ "${media-server-opts}" ];
      };
    };
}
